0.7.0-beta23

8 views
Skip to first unread message

Julien Viet

unread,
Oct 9, 2013, 3:46:50 AM10/9/13
to ju...@googlegroups.com
Hi,

I just released 0.7.0-beta23 that focused on the template engine, it provides the following features:

1. custom tag : provide custom tag written in Java
2. simple tag : custom tag made from templates
3. external templates : allow to reuse existing compiled templates (as long as they don't use controllers of course)
4. removed the alias mechanism (since it was useful for emulating external templates)
5. several bug fixes and minor improvements

[1] http://juzuweb.org/reference/index.html#_java_tags
[2] http://juzuweb.org/reference/index.html#_simple_tags
[3] http://juzuweb.org/reference/index.html#_template_reuse

Julien

benjamin garcia

unread,
Oct 10, 2013, 9:01:38 AM10/10/13
to ju...@googlegroups.com
Hi, 
Since this version I can't build juzu : I have a problem with com.goldin.plugins:maven-copy-plugin which isn't in maven central. How I can solve this? Where i can find this artifact?

Benjamin

Ali Hamdi

unread,
Oct 10, 2013, 9:38:05 AM10/10/13
to ju...@googlegroups.com
I have the same issue


2013/10/10 benjamin garcia <benji....@gmail.com>

--
You received this message because you are subscribed to the Google Groups "Juzu" group.
To unsubscribe from this group and stop receiving emails from it, send an email to juzu+uns...@googlegroups.com.
For more options, visit https://groups.google.com/groups/opt_out.



--
Ali HAMDI
Tel : +216 21 14 93 93
Twitter : @ali_hamdi

Arnaud Héritier

unread,
Oct 10, 2013, 9:45:16 AM10/10/13
to ju...@googlegroups.com
oh right. I found that issue and forgot to push a PR to fit it


--
You received this message because you are subscribed to the Google Groups "Juzu" group.
To unsubscribe from this group and stop receiving emails from it, send an email to juzu+uns...@googlegroups.com.
For more options, visit https://groups.google.com/groups/opt_out.



--
-----
Arnaud Héritier
Mail/GTalk: aheritier AT gmail DOT com
Twitter/Skype : aheritier

Julien Viet

unread,
Oct 10, 2013, 9:46:12 AM10/10/13
to ju...@googlegroups.com
I think we can get rid of this.

it is only used for unpacking jar for building the doc.

so instead using the maven jar plugin to unpack those

Julien Viet

unread,
Oct 10, 2013, 9:46:23 AM10/10/13
to ju...@googlegroups.com
will fix it asap today.

Arnaud Héritier

unread,
Oct 10, 2013, 9:59:55 AM10/10/13
to ju...@googlegroups.com
the dependency plugin must do it but I think it has less features to filter/extract the content

Julien Viet

unread,
Oct 10, 2013, 10:09:42 AM10/10/13
to ju...@googlegroups.com
not a problem, no filtering was done.

Julien Viet

unread,
Oct 10, 2013, 10:09:57 AM10/10/13
to ju...@googlegroups.com
please try it now it should work again.
Message has been deleted

benjamin garcia

unread,
Oct 10, 2013, 10:48:34 AM10/10/13
to ju...@googlegroups.com
Build work! Thank you!

Julien Viet

unread,
Oct 10, 2013, 10:53:39 AM10/10/13
to ju...@googlegroups.com
FYI : the randomly failing test in juzu-core was fixed (by switching from java.net.URL client to Apache HttpClient).

Arnaud Héritier

unread,
Oct 10, 2013, 11:56:53 AM10/10/13
to ju...@googlegroups.com
Also you can grab SNAPSHOTs (if really required - to take with care) from here : http://repository.exoplatform.org/content/repositories/juzu-snapshots/

Cheers

benjamin garcia

unread,
Oct 10, 2013, 12:06:28 PM10/10/13
to ju...@googlegroups.com
Great, 
I think I'll use it and remove from my jenkins. Thank you.

Ali Hamdi

unread,
Oct 10, 2013, 1:07:55 PM10/10/13
to ju...@googlegroups.com
What version of JDK should I use ? just the 1.7 ?


2013/10/10 benjamin garcia <benji....@gmail.com>

Ali Hamdi

unread,
Oct 10, 2013, 1:15:11 PM10/10/13
to ju...@googlegroups.com
I am having an exception when building juzu 0.7.0-beta23 with JDK 1.6.0 Update 45

[ERROR] /home/support/work/juzu/bom/arquillian/src/main/java/juzu/arquillian/Helper.java:[132,14] cannot find symbol
[ERROR] symbol  : constructor AssertionError(java.lang.String,java.net.URISyntaxException)
[ERROR] location: class java.lang.AssertionError



2013/10/10 Ali Hamdi <hamdi.a...@gmail.com>

Julien Viet

unread,
Oct 10, 2013, 2:32:28 PM10/10/13
to ju...@googlegroups.com
yes Juzu 0.7.0 + requires Java 7 at least
Reply all
Reply to author
Forward
0 new messages